<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: tinyxml2::XMLUtil Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('classtinyxml2_1_1_x_m_l_util.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a> &#124;
<a href="classtinyxml2_1_1_x_m_l_util-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">tinyxml2::XMLUtil Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="tinyxml2_8h_source.html">tinyxml2.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-methods" name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:ac9946290e942fbf226a6520bb6a4988f" id="r_ac9946290e942fbf226a6520bb6a4988f"><td class="memItemLeft" align="right" valign="top">static const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ac9946290e942fbf226a6520bb6a4988f">SkipWhiteSpace</a> (const char *p, int *curLineNumPtr)</td></tr>
<tr class="separator:ac9946290e942fbf226a6520bb6a4988f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98dc0102191bfd217f4ba47eb653062c" id="r_a98dc0102191bfd217f4ba47eb653062c"><td class="memItemLeft" align="right" valign="top">static char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a98dc0102191bfd217f4ba47eb653062c">SkipWhiteSpace</a> (char *p, int *curLineNumPtr)</td></tr>
<tr class="separator:a98dc0102191bfd217f4ba47eb653062c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a357ec3af8fc433d19023a815f45e8e33" id="r_a357ec3af8fc433d19023a815f45e8e33"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a357ec3af8fc433d19023a815f45e8e33">IsWhiteSpace</a> (char p)</td></tr>
<tr class="separator:a357ec3af8fc433d19023a815f45e8e33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe106a69ac4d942a4381a4d9dfd0e0bd" id="r_abe106a69ac4d942a4381a4d9dfd0e0bd"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#abe106a69ac4d942a4381a4d9dfd0e0bd">IsNameStartChar</a> (unsigned char ch)</td></tr>
<tr class="separator:abe106a69ac4d942a4381a4d9dfd0e0bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04b17341538fa11752f24b4301d19485" id="r_a04b17341538fa11752f24b4301d19485"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a04b17341538fa11752f24b4301d19485">IsNameChar</a> (unsigned char ch)</td></tr>
<tr class="separator:a04b17341538fa11752f24b4301d19485"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acfcd287cacfd2533e1bc9ea4dfb56602" id="r_acfcd287cacfd2533e1bc9ea4dfb56602"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#acfcd287cacfd2533e1bc9ea4dfb56602">StringEqual</a> (const char *p, const char *q, int nChar=INT_MAX)</td></tr>
<tr class="separator:acfcd287cacfd2533e1bc9ea4dfb56602"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7fd82e0fe610d73ef7bf9f359f104a3" id="r_ad7fd82e0fe610d73ef7bf9f359f104a3"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ad7fd82e0fe610d73ef7bf9f359f104a3">IsUTF8Continuation</a> (char p)</td></tr>
<tr class="separator:ad7fd82e0fe610d73ef7bf9f359f104a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9bcb2bc3cd6475fdc644c8c17790555" id="r_ae9bcb2bc3cd6475fdc644c8c17790555"><td class="memItemLeft" align="right" valign="top">static const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ae9bcb2bc3cd6475fdc644c8c17790555">ReadBOM</a> (const char *p, bool *hasBOM)</td></tr>
<tr class="separator:ae9bcb2bc3cd6475fdc644c8c17790555"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a96e5144a8d693dc4bcd783d9964648" id="r_a5a96e5144a8d693dc4bcd783d9964648"><td class="memItemLeft" align="right" valign="top">static const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a5a96e5144a8d693dc4bcd783d9964648">GetCharacterRef</a> (const char *p, char *value, int *length)</td></tr>
<tr class="separator:a5a96e5144a8d693dc4bcd783d9964648"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31c00d5c5dfb38382de1dfcaf4be3595" id="r_a31c00d5c5dfb38382de1dfcaf4be3595"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a31c00d5c5dfb38382de1dfcaf4be3595">ConvertUTF32ToUTF8</a> (unsigned long input, char *output, int *length)</td></tr>
<tr class="separator:a31c00d5c5dfb38382de1dfcaf4be3595"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3cd6c703d49b9d51bdf0f4ff6aa021c7" id="r_a3cd6c703d49b9d51bdf0f4ff6aa021c7"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a3cd6c703d49b9d51bdf0f4ff6aa021c7">ToStr</a> (int v, char *buffer, int bufferSize)</td></tr>
<tr class="separator:a3cd6c703d49b9d51bdf0f4ff6aa021c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac00c2e52c1c36dab3ff41d86a9bf60f9" id="r_ac00c2e52c1c36dab3ff41d86a9bf60f9"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ac00c2e52c1c36dab3ff41d86a9bf60f9">ToStr</a> (unsigned v, char *buffer, int bufferSize)</td></tr>
<tr class="separator:ac00c2e52c1c36dab3ff41d86a9bf60f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adba0718527ae9e80f663a71ea325cb11" id="r_adba0718527ae9e80f663a71ea325cb11"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#adba0718527ae9e80f663a71ea325cb11">ToStr</a> (bool v, char *buffer, int bufferSize)</td></tr>
<tr class="separator:adba0718527ae9e80f663a71ea325cb11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8957ad44fee5fa02ba52d73aad4d0a31" id="r_a8957ad44fee5fa02ba52d73aad4d0a31"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a8957ad44fee5fa02ba52d73aad4d0a31">ToStr</a> (float v, char *buffer, int bufferSize)</td></tr>
<tr class="separator:a8957ad44fee5fa02ba52d73aad4d0a31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1cd141e50980fcddd6bf9af5de4b1db7" id="r_a1cd141e50980fcddd6bf9af5de4b1db7"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a1cd141e50980fcddd6bf9af5de4b1db7">ToStr</a> (double v, char *buffer, int bufferSize)</td></tr>
<tr class="separator:a1cd141e50980fcddd6bf9af5de4b1db7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26a8cb5b833ad587b3af39469c8111de" id="r_a26a8cb5b833ad587b3af39469c8111de"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a26a8cb5b833ad587b3af39469c8111de">ToStr</a> (int64_t v, char *buffer, int bufferSize)</td></tr>
<tr class="separator:a26a8cb5b833ad587b3af39469c8111de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a51fe7464aeb97c83be0cbc071c72404e" id="r_a51fe7464aeb97c83be0cbc071c72404e"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a51fe7464aeb97c83be0cbc071c72404e">ToStr</a> (uint64_t v, char *buffer, int bufferSize)</td></tr>
<tr class="separator:a51fe7464aeb97c83be0cbc071c72404e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4df4023d11ee3fca9689c49b9707323" id="r_ad4df4023d11ee3fca9689c49b9707323"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ad4df4023d11ee3fca9689c49b9707323">ToInt</a> (const char *str, int *value)</td></tr>
<tr class="separator:ad4df4023d11ee3fca9689c49b9707323"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a210c8637d5eb4ce3d4625294af0efc2f" id="r_a210c8637d5eb4ce3d4625294af0efc2f"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a210c8637d5eb4ce3d4625294af0efc2f">ToUnsigned</a> (const char *str, unsigned *value)</td></tr>
<tr class="separator:a210c8637d5eb4ce3d4625294af0efc2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae5b03e0a1ca5d42052a7ac540f7aa12a" id="r_ae5b03e0a1ca5d42052a7ac540f7aa12a"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ae5b03e0a1ca5d42052a7ac540f7aa12a">ToBool</a> (const char *str, bool *value)</td></tr>
<tr class="separator:ae5b03e0a1ca5d42052a7ac540f7aa12a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a399e71edb5f29d61ea81d91ee0332bb9" id="r_a399e71edb5f29d61ea81d91ee0332bb9"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a399e71edb5f29d61ea81d91ee0332bb9">ToFloat</a> (const char *str, float *value)</td></tr>
<tr class="separator:a399e71edb5f29d61ea81d91ee0332bb9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8f75ac140fb19c1c6e164a957c4cd53" id="r_ad8f75ac140fb19c1c6e164a957c4cd53"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ad8f75ac140fb19c1c6e164a957c4cd53">ToDouble</a> (const char *str, double *value)</td></tr>
<tr class="separator:ad8f75ac140fb19c1c6e164a957c4cd53"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe2ea09257431cd2b4b6d440552e4195" id="r_afe2ea09257431cd2b4b6d440552e4195"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#afe2ea09257431cd2b4b6d440552e4195">ToInt64</a> (const char *str, int64_t *value)</td></tr>
<tr class="separator:afe2ea09257431cd2b4b6d440552e4195"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1a49d5df42fbd5dbb36c2261f7e8aaf" id="r_ae1a49d5df42fbd5dbb36c2261f7e8aaf"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ae1a49d5df42fbd5dbb36c2261f7e8aaf">ToUnsigned64</a> (const char *str, uint64_t *value)</td></tr>
<tr class="separator:ae1a49d5df42fbd5dbb36c2261f7e8aaf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af98a6a80dbeec4679366c1aba4c5b747" id="r_af98a6a80dbeec4679366c1aba4c5b747"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#af98a6a80dbeec4679366c1aba4c5b747">SetBoolSerialization</a> (const char *writeTrue, const char *writeFalse)</td></tr>
<tr class="separator:af98a6a80dbeec4679366c1aba4c5b747"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:aafa8c6e965f8f95d5bcd9e7646983470" id="r_aafa8c6e965f8f95d5bcd9e7646983470"><td class="memItemLeft" align="right" valign="top">static const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#aafa8c6e965f8f95d5bcd9e7646983470">writeBoolTrue</a> = &quot;true&quot;</td></tr>
<tr class="separator:aafa8c6e965f8f95d5bcd9e7646983470"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae09aaf302e2ab8c196e14643ef98e3a3" id="r_ae09aaf302e2ab8c196e14643ef98e3a3"><td class="memItemLeft" align="right" valign="top">static const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ae09aaf302e2ab8c196e14643ef98e3a3">writeBoolFalse</a> = &quot;false&quot;</td></tr>
<tr class="separator:ae09aaf302e2ab8c196e14643ef98e3a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a31c00d5c5dfb38382de1dfcaf4be3595" name="a31c00d5c5dfb38382de1dfcaf4be3595"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a31c00d5c5dfb38382de1dfcaf4be3595">&#9670;&#160;</a></span>ConvertUTF32ToUTF8()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void tinyxml2::XMLUtil::ConvertUTF32ToUTF8 </td>
          <td>(</td>
          <td class="paramtype">unsigned long</td>          <td class="paramname"><span class="paramname"><em>input</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *</td>          <td class="paramname"><span class="paramname"><em>output</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *</td>          <td class="paramname"><span class="paramname"><em>length</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5a96e5144a8d693dc4bcd783d9964648" name="a5a96e5144a8d693dc4bcd783d9964648"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5a96e5144a8d693dc4bcd783d9964648">&#9670;&#160;</a></span>GetCharacterRef()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const char * tinyxml2::XMLUtil::GetCharacterRef </td>
          <td>(</td>
          <td class="paramtype">const char *</td>          <td class="paramname"><span class="paramname"><em>p</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *</td>          <td class="paramname"><span class="paramname"><em>value</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *</td>          <td class="paramname"><span class="paramname"><em>length</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a04b17341538fa11752f24b4301d19485" name="a04b17341538fa11752f24b4301d19485"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04b17341538fa11752f24b4301d19485">&#9670;&#160;</a></span>IsNameChar()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static bool tinyxml2::XMLUtil::IsNameChar </td>
          <td>(</td>
          <td class="paramtype">unsigned char</td>          <td class="paramname"><span class="paramname"><em>ch</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="abe106a69ac4d942a4381a4d9dfd0e0bd" name="abe106a69ac4d942a4381a4d9dfd0e0bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abe106a69ac4d942a4381a4d9dfd0e0bd">&#9670;&#160;</a></span>IsNameStartChar()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static bool tinyxml2::XMLUtil::IsNameStartChar </td>
          <td>(</td>
          <td class="paramtype">unsigned char</td>          <td class="paramname"><span class="paramname"><em>ch</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad7fd82e0fe610d73ef7bf9f359f104a3" name="ad7fd82e0fe610d73ef7bf9f359f104a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad7fd82e0fe610d73ef7bf9f359f104a3">&#9670;&#160;</a></span>IsUTF8Continuation()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static bool tinyxml2::XMLUtil::IsUTF8Continuation </td>
          <td>(</td>
          <td class="paramtype">char</td>          <td class="paramname"><span class="paramname"><em>p</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a357ec3af8fc433d19023a815f45e8e33" name="a357ec3af8fc433d19023a815f45e8e33"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a357ec3af8fc433d19023a815f45e8e33">&#9670;&#160;</a></span>IsWhiteSpace()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static bool tinyxml2::XMLUtil::IsWhiteSpace </td>
          <td>(</td>
          <td class="paramtype">char</td>          <td class="paramname"><span class="paramname"><em>p</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae9bcb2bc3cd6475fdc644c8c17790555" name="ae9bcb2bc3cd6475fdc644c8c17790555"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae9bcb2bc3cd6475fdc644c8c17790555">&#9670;&#160;</a></span>ReadBOM()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const char * tinyxml2::XMLUtil::ReadBOM </td>
          <td>(</td>
          <td class="paramtype">const char *</td>          <td class="paramname"><span class="paramname"><em>p</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool *</td>          <td class="paramname"><span class="paramname"><em>hasBOM</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af98a6a80dbeec4679366c1aba4c5b747" name="af98a6a80dbeec4679366c1aba4c5b747"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af98a6a80dbeec4679366c1aba4c5b747">&#9670;&#160;</a></span>SetBoolSerialization()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void tinyxml2::XMLUtil::SetBoolSerialization </td>
          <td>(</td>
          <td class="paramtype">const char *</td>          <td class="paramname"><span class="paramname"><em>writeTrue</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *</td>          <td class="paramname"><span class="paramname"><em>writeFalse</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a98dc0102191bfd217f4ba47eb653062c" name="a98dc0102191bfd217f4ba47eb653062c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a98dc0102191bfd217f4ba47eb653062c">&#9670;&#160;</a></span>SkipWhiteSpace() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static char * tinyxml2::XMLUtil::SkipWhiteSpace </td>
          <td>(</td>
          <td class="paramtype">char *</td>          <td class="paramname"><span class="paramname"><em>p</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *</td>          <td class="paramname"><span class="paramname"><em>curLineNumPtr</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac9946290e942fbf226a6520bb6a4988f" name="ac9946290e942fbf226a6520bb6a4988f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac9946290e942fbf226a6520bb6a4988f">&#9670;&#160;</a></span>SkipWhiteSpace() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static const char * tinyxml2::XMLUtil::SkipWhiteSpace </td>
          <td>(</td>
          <td class="paramtype">const char *</td>          <td class="paramname"><span class="paramname"><em>p</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *</td>          <td class="paramname"><span class="paramname"><em>curLineNumPtr</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acfcd287cacfd2533e1bc9ea4dfb56602" name="acfcd287cacfd2533e1bc9ea4dfb56602"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acfcd287cacfd2533e1bc9ea4dfb56602">&#9670;&#160;</a></span>StringEqual()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static bool tinyxml2::XMLUtil::StringEqual </td>
          <td>(</td>
          <td class="paramtype">const char *</td>          <td class="paramname"><span class="paramname"><em>p</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *</td>          <td class="paramname"><span class="paramname"><em>q</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int</td>          <td class="paramname"><span class="paramname"><em>nChar</em><span class="paramdefsep"> = </span><span class="paramdefval">INT_MAX</span></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae5b03e0a1ca5d42052a7ac540f7aa12a" name="ae5b03e0a1ca5d42052a7ac540f7aa12a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae5b03e0a1ca5d42052a7ac540f7aa12a">&#9670;&#160;</a></span>ToBool()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool tinyxml2::XMLUtil::ToBool </td>
          <td>(</td>
          <td class="paramtype">const char *</td>          <td class="paramname"><span class="paramname"><em>str</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool *</td>          <td class="paramname"><span class="paramname"><em>value</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad8f75ac140fb19c1c6e164a957c4cd53" name="ad8f75ac140fb19c1c6e164a957c4cd53"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8f75ac140fb19c1c6e164a957c4cd53">&#9670;&#160;</a></span>ToDouble()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool tinyxml2::XMLUtil::ToDouble </td>
          <td>(</td>
          <td class="paramtype">const char *</td>          <td class="paramname"><span class="paramname"><em>str</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double *</td>          <td class="paramname"><span class="paramname"><em>value</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a399e71edb5f29d61ea81d91ee0332bb9" name="a399e71edb5f29d61ea81d91ee0332bb9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a399e71edb5f29d61ea81d91ee0332bb9">&#9670;&#160;</a></span>ToFloat()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool tinyxml2::XMLUtil::ToFloat </td>
          <td>(</td>
          <td class="paramtype">const char *</td>          <td class="paramname"><span class="paramname"><em>str</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float *</td>          <td class="paramname"><span class="paramname"><em>value</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad4df4023d11ee3fca9689c49b9707323" name="ad4df4023d11ee3fca9689c49b9707323"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad4df4023d11ee3fca9689c49b9707323">&#9670;&#160;</a></span>ToInt()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool tinyxml2::XMLUtil::ToInt </td>
          <td>(</td>
          <td class="paramtype">const char *</td>          <td class="paramname"><span class="paramname"><em>str</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *</td>          <td class="paramname"><span class="paramname"><em>value</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="afe2ea09257431cd2b4b6d440552e4195" name="afe2ea09257431cd2b4b6d440552e4195"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe2ea09257431cd2b4b6d440552e4195">&#9670;&#160;</a></span>ToInt64()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool tinyxml2::XMLUtil::ToInt64 </td>
          <td>(</td>
          <td class="paramtype">const char *</td>          <td class="paramname"><span class="paramname"><em>str</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int64_t *</td>          <td class="paramname"><span class="paramname"><em>value</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="adba0718527ae9e80f663a71ea325cb11" name="adba0718527ae9e80f663a71ea325cb11"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adba0718527ae9e80f663a71ea325cb11">&#9670;&#160;</a></span>ToStr() <span class="overload">[1/7]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void tinyxml2::XMLUtil::ToStr </td>
          <td>(</td>
          <td class="paramtype">bool</td>          <td class="paramname"><span class="paramname"><em>v</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *</td>          <td class="paramname"><span class="paramname"><em>buffer</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int</td>          <td class="paramname"><span class="paramname"><em>bufferSize</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1cd141e50980fcddd6bf9af5de4b1db7" name="a1cd141e50980fcddd6bf9af5de4b1db7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1cd141e50980fcddd6bf9af5de4b1db7">&#9670;&#160;</a></span>ToStr() <span class="overload">[2/7]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void tinyxml2::XMLUtil::ToStr </td>
          <td>(</td>
          <td class="paramtype">double</td>          <td class="paramname"><span class="paramname"><em>v</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *</td>          <td class="paramname"><span class="paramname"><em>buffer</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int</td>          <td class="paramname"><span class="paramname"><em>bufferSize</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8957ad44fee5fa02ba52d73aad4d0a31" name="a8957ad44fee5fa02ba52d73aad4d0a31"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8957ad44fee5fa02ba52d73aad4d0a31">&#9670;&#160;</a></span>ToStr() <span class="overload">[3/7]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void tinyxml2::XMLUtil::ToStr </td>
          <td>(</td>
          <td class="paramtype">float</td>          <td class="paramname"><span class="paramname"><em>v</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *</td>          <td class="paramname"><span class="paramname"><em>buffer</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int</td>          <td class="paramname"><span class="paramname"><em>bufferSize</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3cd6c703d49b9d51bdf0f4ff6aa021c7" name="a3cd6c703d49b9d51bdf0f4ff6aa021c7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3cd6c703d49b9d51bdf0f4ff6aa021c7">&#9670;&#160;</a></span>ToStr() <span class="overload">[4/7]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void tinyxml2::XMLUtil::ToStr </td>
          <td>(</td>
          <td class="paramtype">int</td>          <td class="paramname"><span class="paramname"><em>v</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *</td>          <td class="paramname"><span class="paramname"><em>buffer</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int</td>          <td class="paramname"><span class="paramname"><em>bufferSize</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a26a8cb5b833ad587b3af39469c8111de" name="a26a8cb5b833ad587b3af39469c8111de"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a26a8cb5b833ad587b3af39469c8111de">&#9670;&#160;</a></span>ToStr() <span class="overload">[5/7]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void tinyxml2::XMLUtil::ToStr </td>
          <td>(</td>
          <td class="paramtype">int64_t</td>          <td class="paramname"><span class="paramname"><em>v</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *</td>          <td class="paramname"><span class="paramname"><em>buffer</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int</td>          <td class="paramname"><span class="paramname"><em>bufferSize</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a51fe7464aeb97c83be0cbc071c72404e" name="a51fe7464aeb97c83be0cbc071c72404e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a51fe7464aeb97c83be0cbc071c72404e">&#9670;&#160;</a></span>ToStr() <span class="overload">[6/7]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void tinyxml2::XMLUtil::ToStr </td>
          <td>(</td>
          <td class="paramtype">uint64_t</td>          <td class="paramname"><span class="paramname"><em>v</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *</td>          <td class="paramname"><span class="paramname"><em>buffer</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int</td>          <td class="paramname"><span class="paramname"><em>bufferSize</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac00c2e52c1c36dab3ff41d86a9bf60f9" name="ac00c2e52c1c36dab3ff41d86a9bf60f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac00c2e52c1c36dab3ff41d86a9bf60f9">&#9670;&#160;</a></span>ToStr() <span class="overload">[7/7]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void tinyxml2::XMLUtil::ToStr </td>
          <td>(</td>
          <td class="paramtype">unsigned</td>          <td class="paramname"><span class="paramname"><em>v</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char *</td>          <td class="paramname"><span class="paramname"><em>buffer</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int</td>          <td class="paramname"><span class="paramname"><em>bufferSize</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a210c8637d5eb4ce3d4625294af0efc2f" name="a210c8637d5eb4ce3d4625294af0efc2f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a210c8637d5eb4ce3d4625294af0efc2f">&#9670;&#160;</a></span>ToUnsigned()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool tinyxml2::XMLUtil::ToUnsigned </td>
          <td>(</td>
          <td class="paramtype">const char *</td>          <td class="paramname"><span class="paramname"><em>str</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned *</td>          <td class="paramname"><span class="paramname"><em>value</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae1a49d5df42fbd5dbb36c2261f7e8aaf" name="ae1a49d5df42fbd5dbb36c2261f7e8aaf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae1a49d5df42fbd5dbb36c2261f7e8aaf">&#9670;&#160;</a></span>ToUnsigned64()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool tinyxml2::XMLUtil::ToUnsigned64 </td>
          <td>(</td>
          <td class="paramtype">const char *</td>          <td class="paramname"><span class="paramname"><em>str</em>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint64_t *</td>          <td class="paramname"><span class="paramname"><em>value</em></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="ae09aaf302e2ab8c196e14643ef98e3a3" name="ae09aaf302e2ab8c196e14643ef98e3a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae09aaf302e2ab8c196e14643ef98e3a3">&#9670;&#160;</a></span>writeBoolFalse</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const char * tinyxml2::XMLUtil::writeBoolFalse = &quot;false&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aafa8c6e965f8f95d5bcd9e7646983470" name="aafa8c6e965f8f95d5bcd9e7646983470"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aafa8c6e965f8f95d5bcd9e7646983470">&#9670;&#160;</a></span>writeBoolTrue</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const char * tinyxml2::XMLUtil::writeBoolTrue = &quot;true&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>C:/Data/Git/MeLOn/feedforward neural network/model/dep/tinyxml2/inc/<a class="el" href="tinyxml2_8h_source.html">tinyxml2.h</a></li>
<li>C:/Data/Git/MeLOn/feedforward neural network/model/dep/tinyxml2/src/<a class="el" href="tinyxml2_8cpp.html">tinyxml2.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacetinyxml2.html">tinyxml2</a></li><li class="navelem"><a class="el" href="classtinyxml2_1_1_x_m_l_util.html">XMLUtil</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
